summaryrefslogtreecommitdiffstats
path: root/tests/imrelp-maxDataSize-error.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/imrelp-maxDataSize-error.sh')
-rwxr-xr-xtests/imrelp-maxDataSize-error.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/imrelp-maxDataSize-error.sh b/tests/imrelp-maxDataSize-error.sh
new file mode 100755
index 0000000..a64ceab
--- /dev/null
+++ b/tests/imrelp-maxDataSize-error.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# add 2018-04-26 by Pascal Withopf, released under ASL 2.0
+echo [imrelp-maxDataSize-error.sh]
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imrelp/.libs/imrelp")
+
+global(
+ maxMessageSize="300"
+)
+
+input(type="imrelp" port="'$TCPFLOOD_PORT'" maxDataSize="250")
+
+action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+./msleep 2000
+
+shutdown_when_empty
+wait_shutdown
+
+grep "error: maxDataSize.*smaller than global parameter maxMessageSize" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -ne 0 ]; then
+ echo
+ echo "FAIL: expected error message not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test